Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.providers
Class InterceptorBuilder

    java.lang.Object
      com.opensymphony.xwork2.config.providers.InterceptorBuilder

    public class InterceptorBuilder

extends java.lang.Object

Builds a list of interceptors referenced by the refName in the supplied PackageConfig.

Version:
  $Date: 2009-12-27 19:18:29 +0100 (Sun, 27 Dec 2009) $ $Id: InterceptorBuilder.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  Mike, Rainer Hermanns, tmjee

Constructor Summary
`InterceptorBuilder()`

Method Summary
`static java.util.List<InterceptorMapping>` | `constructInterceptorReference(InterceptorLocator interceptorLocator, java.lang.String refName, java.util.Map<java.lang.String,java.lang.String> refParams, Location location, ObjectFactory objectFactory)` Builds a list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorBuilder

    public InterceptorBuilder()

Method Detail

### constructInterceptorReference

    public static java.util.List<InterceptorMapping> constructInterceptorReference(InterceptorLocator interceptorLocator,
                                                                                   java.lang.String refName,
                                                                                   java.util.Map<java.lang.String,java.lang.String> refParams,
                                                                                   Location location,
                                                                                   ObjectFactory objectFactory)
                                                                            throws ConfigurationException

  Builds a list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).

  Parameters:
    `interceptorLocator` -
    `refName` -
    `refParams` -
  Returns:
    list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.